XZ
Date: 2017-02-08

org.tukaani.xz

## Class XZ

- java.lang.Object
- - org.tukaani.xz.XZ

-     public class XZ
      extends java.lang.Object

  XZ constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CHECK_CRC32` Integrity check ID for CRC32.
    `static int` | `CHECK_CRC64` Integrity check ID for CRC64.
    `static int` | `CHECK_NONE` Integrity check ID indicating that no integrity check is calculated.
    `static int` | `CHECK_SHA256` Integrity check ID for SHA-256.
    `static byte[]` | `FOOTER_MAGIC` XZ Footer Magic Bytes are the last bytes of a XZ Stream.
    `static byte[]` | `HEADER_MAGIC` XZ Header Magic Bytes begin a XZ file.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HEADER_MAGIC

          public static final byte[] HEADER_MAGIC

      XZ Header Magic Bytes begin a XZ file. This can be useful to detect XZ compressed data.

    - #### FOOTER_MAGIC

          public static final byte[] FOOTER_MAGIC

      XZ Footer Magic Bytes are the last bytes of a XZ Stream.

    - #### CHECK_NONE

          public static final int CHECK_NONE

      Integrity check ID indicating that no integrity check is calculated.

      Omitting the integrity check is strongly discouraged except when the integrity of the data will be verified by other means anyway, and calculating the check twice would be useless.

      See Also:
        Constant Field Values

    - #### CHECK_CRC32

          public static final int CHECK_CRC32

      Integrity check ID for CRC32.
      See Also:
        Constant Field Values

    - #### CHECK_CRC64

          public static final int CHECK_CRC64

      Integrity check ID for CRC64.
      See Also:
        Constant Field Values

    - #### CHECK_SHA256

          public static final int CHECK_SHA256

      Integrity check ID for SHA-256.
      See Also:
        Constant Field Values